Fortinet แพตช์อุดช่องโหว่ร้ายแรงใน FortiManager และ FortiAnalyzer

พบช่องโหว่ร้ายแรงใน FortiManager และ FortiAnalyzer ที่สามารถนำไปสู่การลอบรันโค้ดจากทางไกล

Credit: ShutterStock.com

CVE-2021-32589 เป็นช่องโหว่ Use-after-free ใน FortiManager และ FortiAnalyzer ที่ตัว fgfmsd deamon กล่าวคือคนร้ายสามารถส่ง Request แบบพิเศษเข้าไปโจมตีอุปกรณ์ที่พอร์ตของ FGFM เพื่อทำให้เกิดการลอบรันโค้ดได้ อย่างไรก็ดีปกติแล้ว FGFM จะถูกปิดอยู่ใน FortiAnalyzer และสามารถเปิดได้ผ่านฮาร์ดแวร์โมเดลเหล่านี้เท่านั้นคือ 1000D, 1000E, 2000E, 3000D, 3000E, 3000F, 3500E, 3500F, 3700F และ 3900E สำหรับซอฟต์แวร์ที่ได้รับผลกระทบตามตารางด้านล่าง

FortiManager FortiAnalyzer
versions 5.6.10 and below versions 5.6.10 and below
versions 6.0.10 and below versions 6.0.10 and below
versions 6.2.7 and below versions 6.2.7 and below
versions 6.4.5 and below versions 6.4.5 and below
version 7.0.0 version 7.0.0
versions 5.4.x  

หากใครยังไม่สามารถอัปเดตแก้ไข ปฏิบัติตาม Workaround ได้ด้วยคำสั่ง ‘config system global’ สั่งปิดด้วย ‘set fmg-status disable’ ศึกษารายละเอียดเพิ่มเติมได้ที่ https://www.fortiguard.com/psirt/FG-IR-21-067

ที่มา : https://www.bleepingcomputer.com/news/security/fortinet-fixes-bug-letting-unauthenticated-hackers-run-code-as-root/

from:https://www.techtalkthai.com/fortinet-rce-vulnerability-cve-2021-32589-effects-fortimanager-fortianalyzer/